=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/ukui-panel-$1\.tar\.gz/ \
  https://github.com/ukui/ukui-panel/releases .*/v?(\d\S+)\.tar\.gz
