## ukui-panel 1.1.4

=== debian/changelog ===
ukui-panel (1.1.4-1) unstable; urgency=medium

  * Initial release. (Closes: #903943)

 -- handsome_feng <jianfengli@ubuntukylin.com>  Tue, 17 Jul 2018 11:15:52 +0800
