=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: ukui-panel
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Kylin team <ukui@kylinos.cn>
-Uploaders: quankang <quankang@kylinos.cn>,
+Maintainer: Kylin Team <team+kylin@tracker.debian.org>
+Uploaders: Aron Xu <aron@debian.org>,
            handsome_feng <jianfengli@ubuntukylin.com>,
 Build-Depends: debhelper (>= 11),
                dpkg-dev (>= 1.16.1.1),
@@ -33,7 +32,7 @@
                lsb-release,
                mate-common (>= 1.18),
                yelp-tools,
-Standards-Version: 4.1.3
+Standards-Version: 4.1.5
 Homepage: http://www.ukui.org/
 Vcs-Git: https://github.com/ukui/ukui-panel.git
 Vcs-Browser: https://github.com/ukui/ukui-panel
@@ -46,6 +45,7 @@
          ukui-panel-common (= ${source:Version}),
          mate-polkit,
          menu-xdg,
+         gnome-system-monitor,
          ${misc:Depends},
          ${shlibs:Depends},
 Description: launcher and docking facility for UKUI
