## ukui-panel 1.1.5

=== debian/changelog ===
ukui-panel (1.1.5-1) unstable; urgency=medium

  * Update es.po, fr.po, pt.po, ru.po.
  * Update the theme when system theme changes.
  * Fix the bug that window-list disappears accidentally.
  * Fix the bug that the icon stuck after multiple clicks.
  * Fix the bug that can't move the applet to the right of window-list.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Thu, 27 Dec 2018 20:12:06 +0800
