=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Kylin Team <team+kylin@tracker.debian.org>
 Uploaders: Aron Xu <aron@debian.org>,
            handsome_feng <jianfengli@ubuntukylin.com>,
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 12),
                dpkg-dev (>= 1.16.1.1),
                gir1.2-freedesktop,
                gobject-introspection,
@@ -32,7 +32,7 @@
                lsb-release,
                mate-common (>= 1.18),
                yelp-tools,
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 Homepage: http://www.ukui.org/
 Vcs-Git: https://github.com/ukui/ukui-panel.git
 Vcs-Browser: https://github.com/ukui/ukui-panel
@@ -43,7 +43,7 @@
          mate-desktop,
          ukui-menus,
          ukui-panel-common (= ${source:Version}),
-         mate-polkit,
+         ukui-polkit | mate-polkit,
          menu-xdg,
          gnome-system-monitor,
          ${misc:Depends},
@@ -58,6 +58,7 @@
 
 Package: ukui-panel-common
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends},
 Description: launcher and docking facility for UKUI (common files)
  The UKUI Panel is an essential part of the UKUI Desktop, providing
@@ -72,6 +73,7 @@
 Package: libukui-panel-applet-4-1
 Section: libs
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends},
 Provides: libukui-panel-applet4-1,
@@ -89,6 +91,7 @@
 Package: libukui-panel-applet-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libglib2.0-dev,
          libgtk-3-dev,
          libukui-panel-applet-4-1 (= ${binary:Version}),
@@ -111,6 +114,7 @@
 Package: libukui-panel-applet-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends},
 Provides: libukuipanelapplet-doc,
 Conflicts: libukuipanelapplet-doc,
@@ -128,6 +132,7 @@
 Package: gir1.2-ukuipanelapplet-4.0
 Section: introspection
 Architecture: any
+Multi-Arch: same
 Depends: ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends},
